> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Org Expense Backup Report Csv

> Builds the org's Expense Backup Report CSV including contractor reimbursement invoices, within admin scope, auditing export.

Not available to API keys yet. It will need `reports:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/export-org-expense-backup-report-csv
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/export-org-expense-backup-report-csv:
    post:
      operationId: exportOrgExpenseBackupReportCsv
      summary: Export Org Expense Backup Report Csv
      description: >-
        Builds the org's Expense Backup Report CSV including contractor
        reimbursement invoices, within admin scope, auditing export.


        Not available to API keys yet. It will need `reports:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExportOrgExpenseBackupReportCsvRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportOrgExpenseBackupReportCsvResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ExportOrgExpenseBackupReportCsvRequest:
      type: object
      properties:
        status:
          type: string
          enum:
            - DRAFT
            - SUBMITTED
            - PENDING_INFO
            - APPROVED
            - REJECTED
            - CANCELLED
            - PROCESSING
            - PAID
        roleInOrgID:
          type: string
          format: uuid
        expensedCurrencyID:
          type: string
          format: uuid
        hrisExpenseCategoryID:
          type: string
          format: uuid
        fromDate:
          type: string
          format: date-time
        toDate:
          type: string
          format: date-time
        search:
          type: string
          maxLength: 200
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
        summaryOnly:
          type: boolean
        includeReimbursementInvoices:
          type: boolean
          default: true
        hrisExpenseReportIDs:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 500
    ExportOrgExpenseBackupReportCsvResponse:
      type: object
      properties:
        csvData:
          type: string
        filename:
          type: string
      required:
        - csvData
        - filename
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
